Name: libvorbis
Version: 1.2.0
Release: alt2.1

Summary: The Vorbis General Audio Compression Codec
Summary(ru_RU.CP1251):  Vorbis
License: BSD-like
Group: System/Libraries
Url: http://www.vorbis.com/

Source0: http://downloads.xiph.org/releases/vorbis/%name-%version.tar.gz

Packager: Igor Zubkov <icesik@altlinux.org>

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Thu Jul 07 2005
BuildRequires: gcc-c++ libogg-devel libstdc++-devel pkgconfig

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%description -l ru_RU.CP1251
Ogg Vorbis -         .

%package devel
Summary: Development files for libvorbis
Group: Development/C
PreReq: %name = %version-%release
Requires: libogg-devel

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with libvorbis.

%description devel -l ru_RU.CP1251
    ,    libvorbis
  .

%package devel-static
Summary: Static libraries for libvorbis
Group: Development/C
PreReq: %name-devel = %version-%release
Requires: libogg-devel-static

%description devel-static
This package contains development libraries required for packaging
statically linked libvorbis-based software.

%description devel-static -l ru_RU.CP1251
     , 
  libvorbis    .

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%__subst -p 's/-O20 //g' configure*
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS CHANGES COPYING README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Aug 03 2007 Igor Zubkov <icesik@altlinux.org> 1.2.0-alt2.1
- fix requires

* Thu Aug 02 2007 Igor Zubkov <icesik@altlinux.org> 1.2.0-alt2
- CVE-2007-4029

* Thu Aug 02 2007 Igor Zubkov <icesik@altlinux.org> 1.2.0-alt1
- 1.1.2 -> 1.2.0

* Tue Jun 26 2007 Igor Zubkov <icesik@altlinux.org> 1.1.2-alt3
- fix CVE-2007-3106 (patch from upstream)

* Fri Dec 01 2006 Igor Zubkov <icesik@altlinux.org> 1.1.2-alt2
- bump release

* Sun Jan 01 2006 Igor Zubkov <icesik@altlinux.ru> 1.1.2-alt1
- 1.1.2
- remove hack maded from #7660

* Wed Aug 17 2005 Grigory Batalov <bga@altlinux.ru> 1.1.1-alt2
- Move C headers to %_includedir/vorbis and make links from there.

* Thu Jul 07 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sat Sep 25 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Thu Jan 22 2004 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt3
- Fixed BuildRequires.

* Tue Dec 02 2003 Alexey Tourbin <at@altlinux.ru> 1.0update.1-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.
- Aggressive optimization disabled (partially).

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt1
- 1.0.1

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- building doesn't requires libogg-devel-static.
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- Fixed license tag.
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
